Summary   	: BGP/OSPF/RIP capable routing daemon
Name	  	: hhl-target-zebra
Version	  	: 0.91a 
Release	  	: %{_hhl_build_id}.1
Source	  	: zebra-0.91a.tar.gz 
Source1: zebra.tmpl

# Yes I realize this is "old" but it is only included for configuration 
# and initd information.
Patch		: zebra_0.87-1.diff.gz

Patch1		: zebra-initd.diff
License 	: GPL 
Group	  	: net
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
#BuildRequires	:
#Requires	:
#Provides 	:
#Obsoletes	:

#
#	SRPM
#
%description

GNU Zebra manages TCP/IP based routing protocols. It supports
BGP 4, BGP4+, OSPFv2, OSPFv3, RIPv1, RIPv2, and RIPng.

Zebra is more than a routed replacement, it can be used as a Route
Server and a Route Reflector.

Zebra is unique in design in that it has a process for each protocol.


#
#	RPM
#
A routing manager for use with associated components
%package -n hhl-%{_hhl_target_arch}-zebra
Summary		: BGP/OSPF/RIP capable routing daemon
Group		: Net
AutoReqProv	: no
%description -n hhl-%{_hhl_target_arch}-zebra

GNU Zebra manages TCP/IP based routing protocols. It supports
BGP 4, BGP4+, OSPFv2, OSPFv3, RIPv1, RIPv2, and RIPng.

Zebra is more than a routed replacement, it can be used as a Route
Server and a Route Reflector.

Zebra is unique in design in that it has a process for each protocol.

%prep

%target_check

%setup -n zebra-%{version}
%patch -p1
%patch1	-p1

%build
PATH=%{_hhl_cross_bin_dir}:$PATH

autoconf
%target_setup
rm -f objdir/config.cache doc/zebra.info

export ac_cv_file__proc_net_dev=yes
export ac_cv_file__proc_net_if_inet6=no
%target_configure --sysconfdir=/etc/zebra \
	--disable-netlink

%make

# Build documentation.. requires texi2dvi
(cd doc ; make zebra.ps)

%install
%target_setup
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}

%target_makeinstall sysconfdir=%{buildroot}%{_hhl_cross_target_dir}/etc/zebra

mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d
install -m 755 ../debian/init.d \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/zebra

install -m 644 ../debian/daemons \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/zebra/daemons

mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/logrotate.d
install -m 644 ../debian/logrotate.d \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/logrotate.d/zebra

gzip -9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*
gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_info_dir}/*
cd ..
cp COPYING LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/zebra

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-zebra
%defattr(-,root,root)
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/zebra
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/logrotate.d/zebra
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/zebra/daemons
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/zebra/bgpd.conf.sample
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/zebra/bgpd.conf.sample2
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/zebra/ospfd.conf.sample
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/zebra/ripd.conf.sample
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/zebra/zebra.conf.sample
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/bgpd
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/ospfd
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/ripd
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/zebra
%doc %{_hhl_cross_target_dir}%{_hhl_target_info_dir}/zebra.info*
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/zebra

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Sun Mar 18 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file


